## elkeyboard 0.1

=== Makefile ===
all:	vkb_compiler elkeyboard-prefs keyboards keyboards-scv

elkeyboard-prefs:
	$(MAKE) -C cpanel

vkb_compiler:	vkb_compiler.c
	gcc -W -Wall -o vkb_compiler vkb_compiler.c

keyboards:	vkb_compiler
	$(MAKE) -C keyboards

keyboards-scv:	vkb_compiler
	$(MAKE) -C keyboards-scv

install:	elkeyboard-prefs keyboards-scv
	$(MAKE) -C cpanel DESTDIR=$(DESTDIR) install
	$(MAKE) -C keyboards DESTDIR=$(DESTDIR) install
	$(MAKE) -C keyboards-scv DESTDIR=$(DESTDIR) install
#	install -d $(DESTDIR)/usr/share/icons/hicolor/26x26/apps
#	install -m 0644 elkeyboard.png $(DESTDIR)/usr/share/icons/hicolor/26x26/apps/
	install -d $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr
	install -m 0644 xkb/elkeyboard $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr/

clean:
	$(MAKE) -C cpanel clean
	$(MAKE) -C keyboards clean
	$(MAKE) -C keyboards-scv clean
	rm -f vkb_compiler
	rm -rf build

distclean:
	$(MAKE) clean
	rm -f *-stamp

=== cpanel/Makefile ===
libelkeyboard-prefs.so:	prefs.o hw.o onscreen.o lang.o langset.o about.o
	$(CC) -shared -o $@ $+

add_cflags = `pkg-config --cflags gtk+-2.0 hildon-1 gconf-2.0 libosso`

prefs.o:	prefs.c
	$(CC) -c -W -Wall `pkg-config --cflags gtk+-2.0 gconf-2.0 hildon-control-panel libosso` -o $@ $<

hw.o:	hw.c
	$(CC) -c -W -Wall $(add_cflags) -o $@ $<

onscreen.o:	onscreen.c
	$(CC) -c -W -Wall $(add_cflags) -o $@ $<

lang.o:	lang.c
	$(CC) -c -W -Wall $(add_cflags) -o $@ $<

langset.o:	langset.c
	$(CC) -c -W -Wall $(add_cflags) -o $@ $<

about.o:	about.c about.inc
	$(CC) -c -W -Wall $(add_cflags) -o $@ $<

about.inc:	about.inc.in
#	for f in ../keyboards/*; do \
#		grep '^[ \t]*#[ \t]*\(title:\|author:\)' $$f | \
#		sed -e 's/</\&lt;/g' -e 's/>/\&gt;/g' -e 's/^.*title:[ \t]*\(.*\)/<i>\1:<\/i>\\n\\/' -e 's/^.*author:[ \t]*\(.*\)/\t\1\\n\\/' ; \
#	done > about.data
	sed -e 's/</\&lt;/g' -e 's/>/\&gt;/g' -e 's/$$/\\n\\/' < ../CREDITS > about.data
	sed -e s/@@VERSION@@/`cat ../VERSION`/g -e '/@@CONTRIB@@/r about.data' -e '/@@CONTRIB@@/d' < about.inc.in > about.inc

cppluginlibdir = $(DESTDIR)`pkg-config hildon-control-panel --variable=pluginlibdir`
cpplugindeskdir = $(DESTDIR)`pkg-config hildon-control-panel --variable=plugindesktopentrydir`

install:	libelkeyboard-prefs.so
	install -d $(cppluginlibdir) $(cpplugindeskdir)
	install libelkeyboard-prefs.so $(cppluginlibdir)
	install -m 644 elkeyboard-prefs.desktop $(cpplugindeskdir)
	install -d $(DESTDIR)/usr/libexec $(DESTDIR)/etc/sudoers.d
	install elkeyboard-set $(DESTDIR)/usr/libexec
	install -m 644 elkeyboard.sudoers $(DESTDIR)/etc/sudoers.d

clean:
	 rm -f *.o libelkeyboard-prefs.so about.inc about.data core

=== keyboards-scv/Makefile ===
layouts = cz-qwerty.vkb cz-qwertz.vkb

all: $(layouts)

%.vkb:	%.def
	if [ -h $< ] ; then f=`readlink $< | sed 's/\.def/\.vkb/'` ; ln -s $$f $@ ; \
	else ../vkb_compiler $< $@ ; \
	fi

install:
	install -d $(DESTDIR)/usr/share/scv_layouts
	install -m 0644 $(layouts) $(DESTDIR)/usr/share/scv_layouts/

clean:
	rm -f *.vkb

=== keyboards/Makefile ===
layouts = bg-bds.vkb bg-phonetic.vkb cz-qwerty.vkb cz-qwertz.vkb en-dvorak.vkb eo-qwerty.vkb hu-qwertz.vkb

all: $(layouts)

%.vkb:	%.def
	../vkb_compiler $< $@

install:
	install -d $(DESTDIR)/usr/share/elkeyboard
	install -m 0644 $(layouts) $(DESTDIR)/usr/share/elkeyboard/

clean:
	rm -f *.vkb

=== debian/changelog ===
elkeyboard (0.1) unstable; urgency=low

  * Added US Dvorak layout by Paul Sweeney.
  * Added Greek hw layouts for devices with US keyboard by Porfyras.

 -- Porfyras <porfyras@gmail.com>  Fri, 06 Feb 2009 21:42:36 +0100

=== debian/control ===
Source: elkeyboard
Section: user/other
Priority: optional
Maintainer: Porfyras <porfyras@gmail.com>
Build-Depends: debhelper (>= 4.0.0),libosso-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, hildon-control-panel-dev
Standards-Version: 3.6.1

Package: elkeyboard
Architecture: any
Depends: ${shlibs:Depends}
Description: English/Greek sliding keyboard layout
 Additional keyboard layout for sliding keyboard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/elkeyboard

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into $(DESTDIR)
	$(MAKE) DESTDIR=$(DESTDIR) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
